"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const index = require("../../../hooks/use-namespace/index.js");
const constants = require("./constants.js");
const vue = require("vue");
var arrow_vue_vue_type_script_setup_true_lang_default = /* @__PURE__ */ vue.defineComponent({
  name: "ElPopperArrow",
  inheritAttrs: false,
  __name: "arrow",
  setup(__props, { expose: __expose }) {
    const ns = index.useNamespace("popper");
    const { arrowRef, arrowStyle } = vue.inject(constants.POPPER_CONTENT_INJECTION_KEY, void 0);
    vue.onBeforeUnmount(() => {
      arrowRef.value = void 0;
    });
    __expose({ arrowRef });
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createElementBlock("span", {
        ref_key: "arrowRef",
        ref: arrowRef,
        class: vue.normalizeClass(vue.unref(ns).e("arrow")),
        style: vue.normalizeStyle(vue.unref(arrowStyle)),
        "data-popper-arrow": ""
      }, null, 6);
    };
  }
});
exports.default = arrow_vue_vue_type_script_setup_true_lang_default;
